
QGIS Application - Bug report #8105

Ftools-Basic statistics does not work

2013-06-18 10:03 AM - vinayan Parameswaran

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16940

Description

press ok with default values..here is the log..

Traceback (most recent call last):

  File "/home/vinayan/gitQgisBuild/output/python/plugins/fTools/tools/doVisual.py", line 226, in run

    ( lst, cnt ) = self.basic_statistics( self.vlayer, self.myField )

  File "/home/vinayan/gitQgisBuild/output/python/plugins/fTools/tools/doVisual.py", line 365, in basic_statistics

    value = float( atMap[ index ] )

TypeError: float() argument must be a string or a number

Python version:

2.7.3 (default, Aug  1 2012, 05:25:23) 

[GCC 4.6.3]

QGIS version:

1.9.0-Master Master, da0e4f3

Associated revisions

Revision 5e4a9dff - 2013-06-19 01:11 AM - Matthias Kuhn

[ftools] Several fixes

Fix #8107 Mean coordinates

Fix #8105 Basic statistics

Fix #8104 Unique values

Revision 419d8ee5 - 2013-06-19 01:36 PM - Matthias Kuhn

[ftools] Fix basic statistics (Fix #8105)

History

#1 - 2013-06-18 04:11 PM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"5e4a9dff6b4374e448307482baecab4688868fb8".
#2 - 2013-06-19 03:42 AM - vinayan Parameswaran

- Status changed from Closed to Reopened

I get a different error now..

An error has occured while executing Python code:

Traceback (most recent call last):

  File "E:\\GISApps\\dev\\qgisbuild\\output\\python\\plugins\\fTools\\tools\\doVisual.py", line 226, in run

    ( lst, cnt ) = self.basic_statistics( self.vlayer, self.myField )

  File "E:\\GISApps\\dev\\qgisbuild\\output\\python\\plugins\\fTools\\tools\\doVisual.py", line 365, in basic_statistics

    value = float( atMap[ index ] )

TypeError: float() argument must be a string or a number

Python version:

2.7.4 (default, Apr  6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

QGIS version:

1.9.0-Master Master, d91f36d

#3 - 2013-06-19 04:36 AM - Matthias Kuhn

- Status changed from Reopened to Closed

Fixed in changeset commit:"419d8ee5931225d672d92984f60c54b69c2f25e7".

#4 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
